# Forgejo via. Cloudflare Tunnel

This example is a quick start to running an instance of the excellent Forgejo git server under Docker.

* Publicly exposed via. Cloudflare Tunnel
* Pre-configured Github Action-style Runners
* Mail delivery (assuming Mailgun, but adjustable to any SMTP server)
* Pre-configured (no installation wizard) including admin account

See the full blog post on this here:
https://www.straybits.ca/2014/self-hosted-git-server/

## Steps:

0. Create a Tunnel on Cloudflare and grab the Tunnel Token
1. Copy `docker-compose.yml` and `.env` to a new folder
2. Update variables in `.env` making sure to generate random secrets for the various secrets marked with `##REQUIRED##`
3. Make sure to update the `yourdomain.com` to match your name
4. Add end points to your Tunnel
   1. `git.yourdomain.com` >> `http://server:3000`
   2. `git-ssh.yourdomain.com` >> `ssh://server:22`
5. `docker compose up -d`
6. Wait...
7. Wait a bit more
8. Visit `https://git.yourdomain.com` in your browser and login with the admin credentials in your `.env` file.
9. Verify settings.  (i.e. do you want to disable user signups, etc.)
